package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import ch.zhaw.projekt2.turnierverwaltung.*;

import java.util.ArrayList;
import java.util.List;


public class GameDecorator {
    private Game game;
    private TournamentDecorator tournamentDecorator;
    private List<IsObserver> listener = new ArrayList<>();

    public GameDecorator (Game game, TournamentDecorator tournamentDecorator) {
        this.game = game;
        this.tournamentDecorator = tournamentDecorator;
    }

    public TournamentDecorator getTournamentDecorator() {
        return tournamentDecorator;
    }

    public void setPoints1(int points1) {
        game.setPoints1(points1);
    }

    public void setPoints2(int points2) {
        game.setPoints2(points2);
    }

    public String getPoints1() {
       return String.valueOf(game.getPoints1());
    }

    public String getPoints2() {
        return String.valueOf(game.getPoints2());
    }

    public String getParticipantOne() {
        return game.getParticipant1().getName();
    }

    public String getParticipantTwo() {
        return game.getParticipant2().getName();
    }

    public Place getLocation() {
        return game.getPlace();
    }

    public void setLocation(Place place) {
        game.setLocation(place);
    }

}
